import {
  usePubSub
} from "../../chunk-I2XVPAYA.js";
import "../../chunk-2AXVHLEB.js";
import {
  createLocalChannelPair
} from "../../chunk-Z5QCMDS2.js";
import "../../chunk-MZ52BAUK.js";
import "../../chunk-YN56GH75.js";
import "../../chunk-7QYVSWCZ.js";
import "../../chunk-OC6HNIEN.js";
import "../../chunk-BORRWM4T.js";
import "../../chunk-TT7OTBYC.js";
import "../../chunk-L324TYGN.js";
import "../../chunk-K7Z2KDW3.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-QUKKMPRF.js";
import "../../chunk-WLMUUSZB.js";
import "../../chunk-ZQHU4QFM.js";
import "../../chunk-I2HNS75U.js";
import "../../chunk-MFUX7YH7.js";
import "../../chunk-MTV32UFZ.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-JAGWOLOG.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-MSASB4XB.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/msg/pubsub.spec.ts
describe("connection", () => {
  it("should send and receive messages", async () => {
    expect.assertions(3);
    const [f1, f2] = createLocalChannelPair();
    const c1 = usePubSub({ channel: f1 });
    const c2 = usePubSub({ channel: f2 });
    let counter = 0;
    c1.on("bla", (a, b) => {
      counter -= b;
    });
    c2.on("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.emit("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.emit("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
  it("should send and receive messages - alternative syntax", async () => {
    expect.assertions(3);
    const [f1, f2] = createLocalChannelPair();
    const c1 = usePubSub({ channel: f1 });
    const c2 = usePubSub({ channel: f2 });
    let counter = 0;
    c1.subscribe("bla", (a, b) => {
      counter -= b;
    });
    c2.subscribe("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.publish("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.publish("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
});
//# sourceMappingURL=pubsub.spec.js.map