"use strict";




var _chunkU5N3BUNHcjs = require('../../chunk-U5N3BUNH.cjs');



var _chunkUADZHU7Acjs = require('../../chunk-UADZHU7A.cjs');
require('../../chunk-2Q4Q3VX6.cjs');
require('../../chunk-DDS4MYUB.cjs');
require('../../chunk-QK5A4MK5.cjs');
require('../../chunk-IL2EURUZ.cjs');
require('../../chunk-SPKL2MFG.cjs');
require('../../chunk-4NW2WSOT.cjs');
require('../../chunk-SUHO4WFP.cjs');
require('../../chunk-S6C65KDQ.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-PEU5ZQVB.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-N43PGEL6.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/schema/env.spec.ts
describe("env.spec", () => {
  it("parse env", async () => {
    const schema = _chunkU5N3BUNHcjs.object.call(void 0, {
      ServiceName: _chunkU5N3BUNHcjs.string.call(void 0, ).default("generic"),
      servicePort: _chunkU5N3BUNHcjs.number.call(void 0, ).default(80),
      ServiceFlag: _chunkU5N3BUNHcjs.boolean.call(void 0, ).default(true)
    });
    const r = _chunkUADZHU7Acjs.parseSchemaEnv.call(void 0, schema, {
      SERVICE_NAME: "SomeThing",
      SERVICE_PORT: " 8888 ",
      SERVICE_FLAG: "illegalValueTriggerDefault"
    });
    expect(r).toMatchInlineSnapshot(`
      Object {
        "ServiceFlag": true,
        "ServiceName": "SomeThing",
        "servicePort": 8888,
      }
    `);
  });
  it("parse prefix", async () => {
    const schema = _chunkU5N3BUNHcjs.object.call(void 0, {
      ServiceName: _chunkU5N3BUNHcjs.string.call(void 0, ).default("generic"),
      servicePort: _chunkU5N3BUNHcjs.number.call(void 0, ).default(80),
      ServiceFlag: _chunkU5N3BUNHcjs.boolean.call(void 0, ).default(true)
    });
    const r = _chunkUADZHU7Acjs.parseSchemaEnv.call(void 0, schema, {
      SERVICE_NAME: "SomeThing",
      SERVICE_PORT: " 8888 ",
      APP_SERVICE_PORT: " 9999",
      SERVICE_FLAG: "illegalValueTriggerDefault"
    }, "APP_");
    expect(r).toMatchInlineSnapshot(`
      Object {
        "ServiceFlag": true,
        "ServiceName": "generic",
        "servicePort": 9999,
      }
    `);
    expect(_chunkUADZHU7Acjs.stringFromSchemaEnv.call(void 0, schema, "APP_", true)).toMatchInlineSnapshot(`
      "# APP_SERVICE_NAME=generic
      # APP_SERVICE_PORT=80
      # APP_SERVICE_FLAG=true"
    `);
  });
});
//# sourceMappingURL=env.spec.cjs.map