import {
  LoggerFileHandler
} from "../../chunk-YM2J62KV.js";
import "../../chunk-NKO3DYD7.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-D6B6MYVG.js";
import "../../chunk-S2L2URLT.js";
import "../../chunk-SQYI5DA5.js";
import {
  sleep
} from "../../chunk-L324TYGN.js";
import {
  DefaultLogger,
  getGlobalLogger
} from "../../chunk-WLMUUSZB.js";
import "../../chunk-ZQHU4QFM.js";
import "../../chunk-I2HNS75U.js";
import "../../chunk-MTV32UFZ.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-JAGWOLOG.js";
import {
  LogLevelAll
} from "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-MSASB4XB.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/node/log/log-file.spec.ts
import { rmSync, statSync, unlinkSync } from "node:fs";
describe("log File", () => {
  afterAll(() => {
    rmSync(`${__dirname}/tmp`, { recursive: true, force: true });
  });
  it("should write log", async () => {
    const path = `${__dirname}/tmp/test.log`;
    getGlobalLogger().setHandlers([
      LoggerFileHandler(path, {
        level: LogLevelAll,
        filter: "*"
      })
    ]);
    const log = DefaultLogger("test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.error("error");
    await sleep(1e3);
    expect(statSync(path).size).toBeGreaterThan(100);
    unlinkSync(path);
  });
});
//# sourceMappingURL=log-file.spec.js.map